/**** <lalVerbatim file="TFCConditionDataHV"> ***********
Author: Julien Sylvestre
$Id: ConditionData.h,v 1.5 2002/03/26 02:02:03 julien Exp $
***** </lalVerbatim> ***********************************/

#ifndef _CONDITIONDATA_H
#define _CONDITIONDATA_H

#include "LALWrapperInterface.h"

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID (CONDITIONDATAH, "power $Id: ConditionData.h,v 1.5 2002/03/26 02:02:03 julien Exp $");

/******** <lalErrTable file="TFCConditionDataHErrTab"> ********/
#define CONDITIONDATAH_ENULL     1
#define CONDITIONDATAH_ENNUL     2
#define CONDITIONDATAH_EALOC     3
#define CONDITIONDATAH_EARGS     4
#define CONDITIONDATAH_EINPUT    5
#define CONDITIONDATAH_EDT       6
#define CONDITIONDATAH_EDTZ      7
#define CONDITIONDATAH_ENUMZ     8
#define CONDITIONDATAH_ESEGZ     9
#define CONDITIONDATAH_EDATZ     10
#define CONDITIONDATAH_ENDAT     11
#define CONDITIONDATAH_EDTYP     12
#define CONDITIONDATAH_EDMRO     13
#define CONDITIONDATAH_EISIG     14
#define CONDITIONDATAH_EISIGO    15
#define CONDITIONDATAH_EPEST     16
#define CONDITIONDATAH_EZERO     17
#define CONDITIONDATAH_ERICE     18

#define CONDITIONDATAH_MSGENULL   "Null pointer"
#define CONDITIONDATAH_MSGENNUL   "Non-null pointer"
#define CONDITIONDATAH_MSGEALOC   "Memory allocation error"
#define CONDITIONDATAH_MSGEARGS   "Wrong number of arguments"
#define CONDITIONDATAH_MSGEINPUT  "Wrong data names in InPut structure"
#define CONDITIONDATAH_MSGEDT     "Mismatch between deltaT in wrapperParams and inPut"
#define CONDITIONDATAH_MSGEDTZ    "wrapperParams->deltaT is zero or negative"
#define CONDITIONDATAH_MSGENUMZ   "Data segment length is zero"
#define CONDITIONDATAH_MSGESEGZ   "Number of data segments is zero"
#define CONDITIONDATAH_MSGEDATZ    "Got less data than expected"
#define CONDITIONDATAH_MSGENDAT   "Number of power thresholds doesn't match Nyquist frequency of channel"
#define CONDITIONDATAH_MSGEDTYP   "Datatype not supported"
#define CONDITIONDATAH_MSGEDMRO   "Missing data for requested channel"
#define CONDITIONDATAH_MSGEISIG   "Invalid injected signal"
#define CONDITIONDATAH_MSGEISIGO   "Injected signal has invalid offset"
#define CONDITIONDATAH_MSGEPEST    "Unable to fit to Rice"
#define CONDITIONDATAH_MSGEZERO    "Zero size time-series"
#define CONDITIONDATAH_MSGERICE    "Error in RICE algorithm"

/******** </lalErrTable> ********/


#define INPUTNAME_CHANNEL "channel"
#define INPUTNAME_SPECTRUM "spectrum"
#define INPUTNAME_RESPONSE "response"
#define INPUTNAME_INJECTED "data:injsignal:sequence"

#ifdef  __cplusplus
}
#endif

#endif /* _CONDITIONDATA_H */
